src/Entity/SiteActus.php
<?php

namespace App\Entity;

use App\Repository\SiteActusRepository;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity(repositoryClass=SiteActusRepository::class)
 */
class SiteActus
{
    /**
     * @ORM\Id
     * @ORM\GeneratedValue
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $eventName;

    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     */
    private $image;

    private $imageFile;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $description;

    /**
     * @ORM\Column(type="datetime")
     */
    private $begin_at;

    /**
     * @ORM\Column(type="datetime")
     */
    private $end_at;

    /**
     * @ORM\ManyToOne(targetEntity=Site::class, inversedBy="siteActuses")
     * @ORM\JoinColumn(nullable=false)
     */
    private $siteId;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getEventName(): ?string
    {
        return $this->eventName;
    }

    public function setEventName(string $eventName): self
    {
        $this->eventName = $eventName;

        return $this;
    }

    public function getImage(): ?string
    {
        return $this->image;
    }

    public function setImage(?string $image): self
    {
        $this->image = $image;

        return $this;
    }

    public function getDescription(): ?string
    {
        return $this->description;
    }

    public function setDescription(string $description): self
    {
        $this->description = $description;

        return $this;
    }

    public function getBeginAt(): ?\DateTimeInterface
    {
        return $this->begin_at;
    }

    public function setBeginAt(\DateTimeInterface $begin_at): self
    {
        $this->begin_at = $begin_at;

        return $this;
    }

    public function getEndAt(): ?\DateTimeInterface
    {
        return $this->end_at;
    }

    public function setEndAt(\DateTimeInterface $end_at): self
    {
        $this->end_at = $end_at;

        return $this;
    }

    public function getSiteId(): ?Site
    {
        return $this->siteId;
    }

    public function setSiteId(?Site $siteId): self
    {
        $this->siteId = $siteId;

        return $this;
    }

    /**
     * @return mixed
     */
    public function getImageFile()
    {
        return $this->imageFile;
    }

    /**
     * @param mixed $imageFile
     */
    public function setImageFile($imageFile): void
    {
        $this->imageFile = $imageFile;
    }
}

src/Form/SiteActusType.php
<?php

namespace App\Form;

use App\Entity\Site;
use App\Entity\SiteActus;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\DateTimeType;
use Symfony\Component\Form\Extension\Core\Type\FileType;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class SiteActusType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('eventName', TextType::class, [
                'label' => 'Nom de l\'evenement'
            ])
            ->add('imageFile', FileType::class, [
                'label' => 'image de l\'évenement',
            ])
            ->add('description', TextType::class, [
                'label' => 'Description',
            ])
            ->add('begin_at', DateTimeType::class, [
                'label' => 'Commence le :'
            ])
            ->add('end_at', DateTimeType::class, [
                'label' => 'Finit le :'
            ])
            ->add('siteId', EntityType::class, [
                'class' => Site::class,
                'choice_label' => 'Name',
            ])
        ;
    }

    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults([
            'data_class' => SiteActus::class, [
                'class' => Site::class,
                'choice_label' => 'Name',
            ]
        ]);
    }
}

src/Controller/SiteActusController.php
<?php

namespace App\Controller;

use App\Entity\SiteActus;
use App\Form\SiteActusType;
use App\Repository\SiteActusRepository;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;

/**
 * @Route("/actus")
 */
class SiteActusController extends AbstractController
{
    /**
     * @Route("/", name="site_actus_index", methods={"GET"})
     */
    public function index(SiteActusRepository $siteActusRepository): Response
    {
        return $this->render('site_actus/index.html.twig', [
            'site_actuses' => $siteActusRepository->findAll(),
        ]);
    }

    /**
     * @Route("/new", name="site_actus_new", methods={"GET","POST"})
     */
    public function new(Request $request): Response
    {
        $siteActu = new SiteActus();
        $form = $this->createForm(SiteActusType::class, $siteActu);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $entityManager = $this->getDoctrine()->getManager();
            $entityManager->persist($siteActu);
            $entityManager->flush();

            $directory = 'public/site/';
            $idSite= $siteActu->getSiteId()->getId();
            $directory .= $idSite;

            $filename = 'Event.png';
            $name = $siteActu->getEventName();
            $name .= $filename;
            $file = $form['imageFile']->getData();
            $file->move($directory, $name);

            return $this->redirectToRoute('site_actus_index');
        }

        return $this->render('site_actus/new.html.twig', [
            'site_actu' => $siteActu,
            'form' => $form->createView(),
        ]);
    }

    /**
     * @Route("/{id}", name="site_actus_show", methods={"GET"})
     */
    public function show(SiteActus $siteActu): Response
    {
        return $this->render('site_actus/show.html.twig', [
            'site_actu' => $siteActu,
        ]);
    }

    /**
     * @Route("/{id}/edit", name="site_actus_edit", methods={"GET","POST"})
     */
    public function edit(Request $request, SiteActus $siteActu): Response
    {
        $form = $this->createForm(SiteActusType::class, $siteActu);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $this->getDoctrine()->getManager()->flush();

            return $this->redirectToRoute('site_actus_index');
        }

        return $this->render('site_actus/edit.html.twig', [
            'site_actu' => $siteActu,
            'form' => $form->createView(),
        ]);
    }

    /**
     * @Route("/{id}", name="site_actus_delete", methods={"DELETE"})
     */
    public function delete(Request $request, SiteActus $siteActu): Response
    {
        if ($this->isCsrfTokenValid('delete'.$siteActu->getId(), $request->request->get('_token'))) {
            $entityManager = $this->getDoctrine()->getManager();
            $entityManager->remove($siteActu);
            $entityManager->flush();
        }

        return $this->redirectToRoute('site_actus_index');
    }
}

templates/site_actus/_delete_form.html.twig
<form method="post" action="{{ path('site_actus_delete', {'id': site_actu.id}) }}" onsubmit="return confirm('Are you sure you want to delete this item?');">
    <input type="hidden" name="_method" value="DELETE">
    <input type="hidden" name="_token" value="{{ csrf_token('delete' ~ site_actu.id) }}">
    <button class="btn">Delete</button>
</form>

templates/site_actus/_form.html.twig
{{ form_start(form) }}
    {{ form_widget(form) }}
    <button class="btn">{{ button_label|default('Save') }}</button>
{{ form_end(form) }}

templates/site_actus/edit.html.twig
{% extends 'base.html.twig' %}

{% block title %}Edit SiteActus{% endblock %}

{% block body %}
    <h1>Edit SiteActus</h1>

    {{ include('site_actus/_form.html.twig', {'button_label': 'Update'}) }}

    <a href="{{ path('site_actus_index') }}">back to list</a>

    {{ include('site_actus/_delete_form.html.twig') }}
{% endblock %}

templates/site_actus/index.html.twig
{% extends 'base.html.twig' %}

{% block title %}SiteActus index{% endblock %}

{% block body %}
    <h1>SiteActus index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>EventName</th>
                <th>Image</th>
                <th>Description</th>
                <th>Begin_at</th>
                <th>End_at</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for site_actu in site_actuses %}
            <tr>
                <td>{{ site_actu.id }}</td>
                <td>{{ site_actu.eventName }}</td>
                <td>{{ site_actu.image }}</td>
                <td>{{ site_actu.description }}</td>
                <td>{{ site_actu.beginAt ? site_actu.beginAt|date('Y-m-d H:i:s') : '' }}</td>
                <td>{{ site_actu.endAt ? site_actu.endAt|date('Y-m-d H:i:s') : '' }}</td>
                <td>
                    <a href="{{ path('site_actus_show', {'id': site_actu.id}) }}">show</a>
                    <a href="{{ path('site_actus_edit', {'id': site_actu.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="7">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('site_actus_new') }}">Create new</a>
{% endblock %}

templates/site_actus/new.html.twig
{% extends 'base.html.twig' %}

{% block title %}New SiteActus{% endblock %}

{% block body %}
    <h1>Créer une actualité de site</h1>

    {{ include('site_actus/_form.html.twig') }}

    <a href="{{ path('site_actus_index') }}">back to list</a>
{% endblock %}

templates/site_actus/show.html.twig
{% extends 'base.html.twig' %}

{% block title %}SiteActus{% endblock %}

{% block body %}
    <h1>SiteActus</h1>

    <table class="table">
        <tbody>
            <tr>
                <th>Id</th>
                <td>{{ site_actu.id }}</td>
            </tr>
            <tr>
                <th>EventName</th>
                <td>{{ site_actu.eventName }}</td>
            </tr>
            <tr>
                <th>Image</th>
                <td>{{ site_actu.image }}</td>
            </tr>
            <tr>
                <th>Description</th>
                <td>{{ site_actu.description }}</td>
            </tr>
            <tr>
                <th>Begin_at</th>
                <td>{{ site_actu.beginAt ? site_actu.beginAt|date('Y-m-d H:i:s') : '' }}</td>
            </tr>
            <tr>
                <th>End_at</th>
                <td>{{ site_actu.endAt ? site_actu.endAt|date('Y-m-d H:i:s') : '' }}</td>
            </tr>
        </tbody>
    </table>

    <a href="{{ path('site_actus_index') }}">back to list</a>

    <a href="{{ path('site_actus_edit', {'id': site_actu.id}) }}">edit</a>

    {{ include('site_actus/_delete_form.html.twig') }}
{% endblock %}